%global projectname cached-property
%global modulename  cached_property

Summary:        A cached-property for decorating methods in Python classes
Name:           python-%{modulename}
Version:        1.5.2
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/pydanny/%{projectname}
Source0:        %{url}/archive/%{version}/%{projectname}-%{version}.tar.gz
Patch3000:      0001-Disable-checks-broken-with-freezegun-0.3.11-131.patch


BuildArch:      noarch

%description
This package provides a decorator for caching properties in Python classes.

%package -n python3-%{modulename}
Summary:        A cached-property for decorating methods in Python classes.
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-dateutil python3-freezegun python3-pytest
Provides:       python3-%{modulename} = %{version}-%{release}
Provides:       python3-%{projectname} = %{version}-%{release}

%description -n python3-%{modulename}
This package provides a decorator for caching properties in Python classes.

%prep
%autosetup -p1 -n %{projectname}-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%check
PYTHONPATH=./ py.test-3

%files -n python3-%{modulename}
%doc AUTHORS.rst HISTORY.rst CONTRIBUTING.rst README.rst
%license LICENSE
%{python3_sitelib}/%{modulename}*
%{python3_sitelib}/__pycache__/%{modulename}*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Wang Guodong <gordonwwang@tencent.com> - 1.5.2-1
- initial build
